
Jupiter - Zadanie #1619
Zadanie # 1616 (W toku): Utworzenie formularza do edycji yelementu
Utworzenie komponentu z formularzem pozwalającym na wprowadzanie danych w wielu językach
2017-04-05 09:11 - Michał Komar

Status: Zamknięty Start date: 2017-05-11
Priority: Normalny Due date:
Assignee: Łukasz Waśkiewicz % Done: 100%
Category: ui Estimated time: 0.00 hour
Target version: 0.3
Developer: Monika Maksymiuk Tester: Łukasz Waśkiewicz
Description

Komponent formularza powinien umożliwić edycję listy YName. 
Powinien korzystać z formularza yrichtext utworzonego w ramach zadania 1617.
Można go rozbić na podkomponenty do edycji pojedynczego wpisu YName, jednak trzeba do tego komponentu przekazać możliwe do
wyboru języki, gdyż na liście języków do wyboru nie powinno być języków użytych wcześniej.

Moja propozycja komponentów:

<multilanguage [languages] [multi] [simple]>
  <singlelanguage [multi] [simple] [languages] (languageChanged)>
  <singlelanguage [multi] [simple] [languages] (languageChanged)>
  <singlelanguage [multi] [simple] [languages] (languageChanged)>
</multilanguage>

Komponent multilanguage pozwalałby na dodawanie i usuwanie komponentów singlelanguage - zarządzałby listą. Ograniczałby także
listę wyboru języków w komponencie singlelanguage 
Komponent single language składałby się z 2 segmentów:
 - wybór języka - selectbox z wyborem języka wysyłający event, który mógłby być obsługiwany przez multilanguage, w celu
ograniczenia listy wyboru języków
 - w zależności od parametru [multi] - pojedynczy input lub lista inputów dla richtextu. Komponent do inputu richtextu powinien z kolei
na podstawie paraemtru [simple] określać, czy ma się renderować jako edytor html-a, czy zwykłego tekstu

Taki podział na komponenty pozwoli na reużycie tego komponentu także do edycji listy ytaglist oraz listy description ( można dodać
jeszcze parametr, czy richtext ma się renderować jako input=text czy textarea - ale chyba załatwia to parametr simple)

Subtasks:
Błąd # 1679: Usuwanie pierwszego elementu Zamknięty
Błąd # 1680: Przy niskich rozdzielczościach elementy nachodzą na siebie Zamknięty
Related issues:
Related to Jupiter - Zadanie # 1617: Utworzenie formularza do edycji YRichtext Zamknięty 2017-04-06 2017-04-06

Associated revisions
Revision 9ade8ad4 - 2017-04-27 13:35 - Monika Maksymiuk

refs #1619. Komponent wielojezyczny

Revision 44186e86 - 2017-04-27 13:35 - Monika Maksymiuk
refs #1619. Walidacja

History
#1 - 2017-04-05 09:11 - Michał Komar
- Related to Zadanie #1617: Utworzenie formularza do edycji YRichtext added

#2 - 2017-04-05 09:11 - Michał Komar
- Description updated

#3 - 2017-04-05 09:24 - Michał Komar
- Description updated

#4 - 2017-05-10 09:10 - Monika Maksymiuk
- Status changed from Nowy to Rozwiązany
- % Done changed from 0 to 100

#5 - 2017-05-10 09:10 - Monika Maksymiuk
- Status changed from Rozwiązany to Testowanie
- Assignee changed from Monika Maksymiuk to Michał Komar

#6 - 2017-06-22 11:51 - Michał Komar
- Status changed from Testowanie to Odpowiedź
- Assignee changed from Michał Komar to Monika Maksymiuk

Przepinam zgodnie z ustaleniami z dzisiejszego spotkania na temat testowania.

#7 - 2017-07-05 16:20 - Monika Maksymiuk
- Status changed from Odpowiedź to Testowanie
- Assignee changed from Monika Maksymiuk to Łukasz Waśkiewicz
- Tester Łukasz Waśkiewicz added

#8 - 2017-07-14 13:18 - Łukasz Waśkiewicz
- File jezyk_select.png added
- Status changed from Testowanie to Odpowiedź
- Assignee changed from Łukasz Waśkiewicz to Monika Maksymiuk

    -  w liście języka można wpisać qqqqq, można taki zasób spróbować zapisać, błąd 400 brak komunikatu dlaczego
    -  w FF można zapisać zasób bez typu nazwy (kliknąć select potem ESC), 
    -  w chrome selecty działają dziwnie, jeśli klikniemy, potem ESC, wygląda ze nic nie wybraliśmy, jak gdzieś klikniemy to pojawia się wybrana
pierwsza wartość (teraz nie udaje mi się już tego odtworzyć)
    -  ogólnie można zapisać zasób bez wpisania wartości (brak komunikatu), komunikat o nazwie jest tylko wtedy jeśli wejdziemy i wyjdziemy z pola

#9 - 2017-11-27 12:12 - Monika Maksymiuk
- Status changed from Odpowiedź to Testowanie
- Assignee changed from Monika Maksymiuk to Łukasz Waśkiewicz

Moim zdaniem te problemy już nie występują
#10 - 2017-12-01 08:53 - Łukasz Waśkiewicz
- File jezyk_select_2.png added
- File addNew_language.png added
- Status changed from Testowanie to Odpowiedź
- Assignee changed from Łukasz Waśkiewicz to Monika Maksymiuk

    -  w liście języka można wpisać qqqqq wcisnąć enter i wartość zostaje widoczna (po kliknięciu zapisz i zapisaniu wraca na wartość poprzednią)
(screen)
    -  przy dodawaniu nowego zasobu można wpisać qqq i enter, przycisk zapisz nieaktywny (brak komunikatu błędu) (screen)
    -  na Firefox można wpisać qqq potem enter -> nie można ponownie otworzyć selecta
    -  select w nazwie działa inaczej niż w językach (w językach nie ma autocomplete)

#11 - 2017-12-28 13:42 - Monika Maksymiuk
- Status changed from Odpowiedź to Rozwiązany
- Assignee changed from Monika Maksymiuk to Łukasz Waśkiewicz

Kwestia ujednolicenia autocomplete w jezykach i nazwach do oddzielnego zadania

#12 - 2017-12-28 15:26 - Łukasz Waśkiewicz
- Status changed from Rozwiązany to Zamknięty

Files
jezyk_select.png 4.73 KB 2017-07-14 Łukasz Waśkiewicz
addNew_language.png 10.8 KB 2017-12-01 Łukasz Waśkiewicz
jezyk_select_2.png 13.2 KB 2017-12-01 Łukasz Waśkiewicz
